Oracle Enterprise Manager Grid Control Multiple

by Carol~ Moderator - 1/16/13 11:53 AM

In Reply to: VULNERABILITIES / FIXES - January 16, 2013 by Carol~ Moderator

Oracle Enterprise Manager Grid Control Multiple Vulnerabilities

Release Date : 2013-01-16

Criticality level : Moderately critical
Impact: Manipulation of data
System access
Where: From local network
Solution Status : Vendor Patch

Software: Oracle Enterprise Manager 10.x
Oracle Enterprise Manager 11.x
Oracle Enterprise Manager 12.x

Description:
Multiple vulnerabilities have been reported in Oracle Enterprise Manager Grid Control, which can be exploited by malicious people to manipulate data and compromise a vulnerable system.

1) An unspecified error in the Business Transaction Management subcomponent of Application Performance Management can be exploited to execute arbitrary code.

2) An unspecified error in the Business Transaction Management subcomponent of Application Performance Management can be exploited to update, insert, or delete Application Performance Management accessible data.

3) An unspecified error in the Business Transaction Management subcomponent of Application Performance Management can be exploited to update, insert, or delete Application Performance Management accessible data.

Vulnerabilities #1 through #3 are reported in versions 6.5, 11.1, and 12.1.0.2.

4) An error within the Content Management subcomponent can be exploited to update, insert, or delete certain Enterprise Manager Base Platform accessible data.

5) An error within the Database Cloning subcomponent can be exploited to update, insert, or delete certain Enterprise Manager Base Platform accessible data.

6) An error within the Distributed/Cross DB Features subcomponent can be exploited to update, insert, or delete certain Enterprise Manager Base Platform accessible data.

7) An error within the Distributed/Cross DB Features subcomponent can be exploited to update, insert, or delete certain Enterprise Manager Base Platform accessible data.

8) An error within the Distributed/Cross DB Features subcomponent can be exploited to update, insert, or delete certain Enterprise Manager Base Platform accessible data.

9) An error within the Enterprise Configuration Management subcomponent can be exploited to update, insert, or delete certain Enterprise Manager Base Platform accessible data.

10) An error within the Policy Framework subcomponent can be exploited to update, insert, or delete certain Enterprise Manager Base Platform accessible data.

11) An error within the Resource Manager subcomponent can be exploited to update, insert, or delete certain Enterprise Manager Base Platform accessible data.

12) An error within the Storage Management subcomponent can be exploited to update, insert, or delete certain Enterprise Manager Base Platform accessible data.

13) An error within the User Interface Framework subcomponent can be exploited to update, insert, or delete certain Enterprise Manager Base Platform accessible data.

Vulnerabilities #4 through #13 are reported in the following versions:
* Enterprise Manager Grid Control 10g Release 1, version 10.2.0.5.
* Enterprise Manager Grid Control 11g Release 1, version 11.1.0.1.
* Enterprise Manager Plugin for Database 12c Release 1, versions 12.1.0.1 and 12.1.0.2.

Solution:
Apply patch (please see the vendor's advisory for details).

Provided and/or discovered by:
It is currently unclear who reported the vulnerabilities as the Oracle Critical Patch Update for January 2013 only provides a bundled list of credits. This section will be updated when/if the original reporter provides more information.

Original Advisory:
Oracle:
http://www.oracle.com/technetwork/topics/security/cpujan2013-1515902.html#AppendixEM

http://secunia.com/advisories/51884/